body {
    height: auto;
    width: auto;
    margin: 0px;
    padding: 0px;
    font-family: 'Open Sans', sans-serif;
    background: cover;
}

.container {
    width: auto;
    height: 75px;
    background-color: ghostwhite;
    border: 1px solid black;
    padding: 0px;
    border-bottom-left-radius: 50px;
    border-bottom-right-radius: 30px;
}

nav {
    position: relative;
    margin-top: 10px;
    width: 700px;
    float: right;
    height: 50px;
    background-color: none;
    font-size: 0;
}

nav a {
    font-size: 20px;
    font-weight: 600;
    text-transform: uppercase;
    margin-top: 15px;
    color: blue;
    line-height: 20px;
    text-decoration: none;
    position: relative;
    z-index: 1;
    display: inline-block;
    text-align: center;
}

nav .animation {
    position: absolute;
    height: 5px;
    bottom: 0;
    z-index: 0;
    background: lightgreen;
    width: 100px;
    border-radius: 10px;
    transition: all .5s ease 0s;
}

a:nth-child(1) {
    width: 100px;
}

nav .start-home,
a:nth-child(1):hover ~ .animation {
    width: 100px;
    left: 0;
}

a:nth-child(2) {
    width: 80px;
}

nav .start-post,
a:nth-child(2):hover ~ .animation {
    width: 80px;
    left: 100px;
}

a:nth-child(3) {
    width: 130px;
}

nav .start-message,
a:nth-child(3):hover ~ .animation {
    width: 130px;
    left: 180px;
}


a:nth-child(4) {
    width: 100px;
}

nav .start-profile,
a:nth-child(4):hover ~ .animation {
    width: 100px;
    left: 310px;
}


a:nth-child(5) {
    width: 150px;
}

nav .start-newuser,
a:nth-child(5):hover ~ .animation {
    width: 150px;
    left: 410px;
}

a:nth-child(6) {
    width: 100px;
}

nav .start-logout,
a:nth-child(6):hover ~ .animation {
    width: 100px;
    left: 560px;
}

.selectbox {
    background-color: whitesmoke;
    margin-left: auto;
    margin-right: auto;
    width: 400px;
    border-radius: 10px;
    padding-top: 20px;
    padding-bottom: 20px;
}

.group {
   padding-top: 10px;
}

.checkmark {
    display: block;
    width: 40px;
    height: 40px;
    background-color: #ddd;
    border-radius: 10px;
    position: relative;
    display: inline-block;
    margin-left: 5px;
}

.checkmark::after {
    content: '';
    position: absolute;
    width: 5px;
    height: 20px;
    border-right: 5px solid white;
    border-bottom: 5px solid white;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%) rotateZ(40deg) scale(2);
    opacity: 0;
    transition: all 0.3s;
}

#check1:checked ~ .checkmark{
    background-color: #08bb68;
}

#check1:checked ~ .checkmark::after{
    opacity: 1;
    transform: translate(-50%,-50%) rotateZ(40deg) scale(1);
}

#check2:checked ~ .checkmark{
    background-color: #08bb68;
}

#check2:checked ~ .checkmark::after{
    opacity: 1;
     transform: translate(-50%,-50%) rotateZ(40deg) scale(1);
}

#check3:checked ~ .checkmark{
    background-color: #08bb68;
}

#check3:checked ~ .checkmark::after{
    opacity: 1;
     transform: translate(-50%,-50%) rotateZ(40deg) scale(1);
}

#check4:checked ~ .checkmark{
    background-color: #08bb68;
}

#check4:checked ~ .checkmark::after{
    opacity: 1;
     transform: translate(-50%,-50%) rotateZ(40deg) scale(1);
}

#check5:checked ~ .checkmark{
    background-color: #08bb68;
}

#check5:checked ~ .checkmark::after{
    opacity: 1;
     transform: translate(-50%,-50%) rotateZ(40deg) scale(1);
}

#check6:checked ~ .checkmark{
    background-color: #08bb68;
}

#check6:checked ~ .checkmark::after{
    opacity: 1;
     transform: translate(-50%,-50%) rotateZ(40deg) scale(1);
}


.group p {
    display: inline-block;
    vertical-align: top;
    padding-left: 20px;
    margin: 0;
    font-size: 20px;
}


.buttonbox {
    text-align: center;
}

.backbox {
    display: inline-block;
}

.nextbox {
    display: inline-block;
    padding-left: 20px;
}

.backbutton {
    border: 2px solid #3498db;
    color: blue;
    margin-top: 50px;
    width: 200px;
    background: none;
    font-size: 25px;
    font-family: "montserrat";
    cursor: pointer;
    overflow: hidden;
    border-radius: 10px;
    height: 60px;
    transition: 0.8s;
}

.backbutton {
    color: #3498db;
}

.backbutton:hover {
    background-color: forestgreen;
    color: white;
}

backbutton::before {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 0%;
    background: #3498db;
    z-index: -1;
    transition: 0.8s;
}

backbutton::before {
    top: 10;
    border-radius: 0 0 50% 50%;
}

backbutton:hover::before {
    height: 180%;
}

.nextbutton {
    border: 2px solid #3498db;
    color: blue;
    margin-top: 50px;
    width: 200px;
    background: none;
    font-size: 25px;
    font-family: "montserrat";
    cursor: pointer;
    overflow: hidden;
    border-radius: 10px;
    height: 60px;
    transition: 0.8s;
}

.nextbutton {
    color: #3498db;
}

.nextbutton:hover {
    background: #3498db;
    color: white;
}

nextbutton::before {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 0%;
    background: #3498db;
    z-index: -1;
    transition: 0.8s;
}

nextbutton::before {
    top: 10;
    border-radius: 0 0 50% 50%;
}

nextbutton:hover::before {
    height: 180%;
}